System.Web 2.0.0.0

This interface allows control developers to track different phases of the personalization life cycle, including the loading and saving of personalization data. In most cases, to use this interface you would create a custom or and implement this interface. Additionally, controls that need to manage their own change ("dirty") tracking should implement this interface. Controls that manage their own change tracking should return true from the property.

If false is returned, then ASP.NET is responsible for determining changes by comparing the property information loaded with the property information that was saved.

Allows Web Parts controls to track the specific phases of the personalization load and save process.

- Method
  System.Void

  The Web Parts control set calls this method prior to applying personalization data. A control that tracks its own change state should use this method to set an internal flag indicating that properties should not call . This is because property-setting methods can be called during the application of personalization data, subsequent to the call to . In most scenarios, a control should not be considered changed ("dirty") just because its personalizable properties have been set based on data loaded from the underlying data store.

  This method is also called when personalization data is applied after importing a Web Parts control.

  Represents the beginning of the load phase for personalization information.

  2.0.0.0
- Method
  System.Void

  The Web Parts control set calls this method prior to extracting personalization data from the control.

  Represents the phase prior to extracting personalization data from a control.

  2.0.0.0
- Method
  System.Void

  The Web Parts control set calls this method after personalization data has been applied to the control. A control that tracks its change state should use this method to reset its internal state to indicate that subsequent property-setting methods should call . By the time the method is called, the Web Parts control set has completed any application of personalization data to the control. As a result, subsequent changes to the control's state should be considered valid indicators that the control has changed (is "dirty").

  This method is also called when personalization data is applied after importing a Web Parts control.

  Represents the phase after personalization data has been applied to a control.

  2.0.0.0
- Method
  System.Void

  The Web Parts control set calls this method after personalization data has been extracted from the control.

  Represents the phase after personalization data has been extracted from a control.

  2.0.0.0
- Property
  System.Boolean To be added.

  If a control returns true from this property, then it is the Web Parts control's responsibility to determine when it considers itself "dirty." If a control determines that it has changed (is "dirty"), that control must call on itself.

  Indicates whether the control tracks the status of its changes.

  2.0.0.0